Subject: Re: bug#18713: Very slow startups with TERM=xterm

From: Roy Smith <[email-masked]>
Date: Tue, 14 Oct 2014 10:33:39 -0400

I downloaded emacs-24.3.94 (I assume that’s what you intended?) and built it with:

./configure --prefix=`/bin/pwd` --with-x-toolkit=no --with-xpm=no --with-jpeg=no --with-png=no --with-gif=n
o --with-tiff=no
./configure --prefix=`/bin/pwd` --with-x-toolkit=no --with-xpm=no --with-jpeg=no --with-png=no --with-gif=n
o --with-tiff=no

It has exactly the same behavior.  Starting it with TERM=xterm-256color, it takes a couple of seconds to get to the welcome screen.  Same pselect6() calls in the trace output:

pselect6(4, [3], [], NULL, {1, 995148137}, {NULL, 8}) = 1 (in [3], left {1, 952766953}) <0.042444>
pselect6(4, [3], [], NULL, {1, 999909468}, {NULL, 8}) = 0 (Timeout) <2.000402>
pselect6(4, [3], [], NULL, {0, 499943592}, {NULL, 8}) = 0 (Timeout) <0.500541>
pselect6(4, [3], [], NULL, {29, 498901886}, {NULL, 8}) = 1 (in [3], left {29, 361558588}) <0.137381>
pselect6(4, [3], [], NULL, {0, 499841425}, {NULL, 8}) = 1 (in [3], left {0, 308628336}) <0.191243>

TERM=ansi starts instantly.

On Oct 14, 2014, at 2:21 AM, Eli Zaretskii <[email-masked]> wrote:

>> From: Roy Smith <[email-masked]>
>> Date: Mon, 13 Oct 2014 19:00:45 -0400
>> 
>> I'm running GNU Emacs 24.3.1, with the -nw flag. If have TERM=xterm or
>> TERM=xterm-256color, it takes 2 or 3 seconds to start up. Setting TERM=ansi (or
>> vt100, or vt102), I get instant startups. I'm running on goobuntu (Google's own
>> flavor of ubuntu linux)
> 
> Please try a recent pretest of Emacs 24.4 (available from
> alpha.gnu.org and probably also from goobuntu), I believe this was
> already solved there.
> 
> See http://debbugs.gnu.org/cgi/bugreport.cgi?bug=17648.
> 
> 
>